osl::progress Namespace Reference

- Main Page
- Namespaces
- Classes
- Files

- Namespace List
- Namespace Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros
Namespaces | Classes | Typedefs | Functions | Variables
osl::progress Namespace Reference

進行度 More...

## Namespaces
| ml

## Classes
struct | Effect5x3
| 玉の周囲5x3の領域の利きの数と持駒から計算した進行度. More...
struct | Effect5x3WithBonus
struct | Effect5x3d
| 玉の周囲5x3の領域の利きの数ら計算した自玉のまわりの利きの数。 5x3領域は盤面内になるように補正する． 黒と白の両方の進行度を持つ． Effect5x3 との違い持駒の重みなし More...
struct | LongEffect
| 5x3領域への長い利きの始まりと終わり． offset - 利きの方向が0の時は利きが無いことを示す minIndex - 利きが領域に入るindex maxIndex - 利きが領域から出る手前のindex More...
class | Effect5x3Table
| Effect5x3の差分計算で使うテーブル. More...
class | Progress16
| 0-15 の進行度を表現 More...
class | Progress32
| 0-31 の進行度を表現 More...
class | PtypeProgressTable
| ゲームの進行度を駒が自陣からどの程度前に進んでいるかの和で表現 More...
class | PtypeProgress
struct | PtypeProgressTraits
| ゲームの進行度を測る駒の種類別の係数 More...
struct | PtypeProgressTraits< PAWN >
struct | PtypeProgressTraits< PPAWN >
struct | PtypeProgressTraits< LANCE >
struct | PtypeProgressTraits< PLANCE >
struct | PtypeProgressTraits< KNIGHT >
struct | PtypeProgressTraits< PKNIGHT >
struct | PtypeProgressTraits< SILVER >
struct | PtypeProgressTraits< PSILVER >
struct | PtypeProgressTraits< GOLD >
struct | PtypeProgressTraits< BISHOP >
struct | PtypeProgressTraits< PBISHOP >
struct | PtypeProgressTraits< ROOK >
struct | PtypeProgressTraits< PROOK >
struct | PtypeProgressTraits< KING >

## Typedefs
typedef CArray< LongEffect, 4 > | LongEffect4
| 長い利きの方向は高々4なので，長さ4のCArrayで表現． More...

## Functions
std::ostream & | operator<< (std::ostream &os, LongEffect const &longEffect)
bool | operator== (Progress16 l, Progress16 r)
bool | operator!= (Progress16 l, Progress16 r)
bool | operator< (Progress16 l, Progress16 r)
bool | operator== (Progress32 l, Progress32 r)
bool | operator!= (Progress32 l, Progress32 r)
bool | operator< (Progress32 l, Progress32 r)
std::ostream & | operator<< (std::ostream &os, PtypeProgress prog)

## Variables
const Effect5x3Table | Effect5x3_Table
const PtypeProgressTable | Ptype_Progress_Table

## Detailed Description

進行度

## Typedef Documentation

typedef CArray<LongEffect,4> osl::progress::LongEffect4

長い利きの方向は高々4なので，長さ4のCArrayで表現．

Definition at line 34 of file effect5x3Table.h.

## Function Documentation

bool osl::progress::operator!= | ( | Progress16 | l,
|  | Progress16 | r
| ) |  |
| inline

Definition at line 31 of file progress16.h.

bool osl::progress::operator!= | ( | Progress32 | l,
|  | Progress32 | r
| ) |  |
| inline

Definition at line 31 of file progress32.h.

bool osl::progress::operator< | ( | Progress16 | l,
|  | Progress16 | r
| ) |  |
| inline

Definition at line 35 of file progress16.h.

References osl::progress::Progress16::value().

bool osl::progress::operator< | ( | Progress32 | l,
|  | Progress32 | r
| ) |  |
| inline

Definition at line 35 of file progress32.h.

References osl::progress::Progress32::value().

std::ostream & osl::progress::operator<< | ( | std::ostream & | os,
|  | PtypeProgress | prog
| ) |  |

Definition at line 139 of file ptypeProgress.cc.

References osl::progress::PtypeProgress::progress().

std::ostream & osl::progress::operator<< | ( | std::ostream & | os,
|  | LongEffect const & | longEffect
| ) |  |

Definition at line 102 of file effect5x3Table.cc.

References osl::progress::LongEffect::maxIndex, osl::progress::LongEffect::minIndex, and osl::progress::LongEffect::offset.

bool osl::progress::operator== | ( | Progress16 | l,
|  | Progress16 | r
| ) |  |
| inline

Definition at line 27 of file progress16.h.

References osl::progress::Progress16::value().

bool osl::progress::operator== | ( | Progress32 | l,
|  | Progress32 | r
| ) |  |
| inline

Definition at line 27 of file progress32.h.

References osl::progress::Progress32::value().

## Variable Documentation

const progress::Effect5x3Table osl::progress::Effect5x3_Table

Definition at line 158 of file tables.cc.

Referenced by osl::progress::Effect5x3d::makeProgress(), osl::progress::Effect5x3::makeProgressArea(), osl::progress::Effect5x3WithBonus::makeProgressAreaBonus(), and osl::progress::Effect5x3::updateStand().

const progress::PtypeProgressTable osl::progress::Ptype_Progress_Table

Definition at line 132 of file tables.cc.

Referenced by osl::progress::PtypeProgress::PtypeProgress(), and osl::progress::PtypeProgress::update().